Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security
Class UsernameAndPassword

    java.lang.Object
      weblogic.security.UsernameAndPassword

public class UsernameAndPassword
extends Object

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UsernameAndPassword()`
`UsernameAndPassword(byte[] user, byte[] pwd)`
`UsernameAndPassword(String user, String pwd)`

Method Summary
`String` | `getPassword()` Deprecated.
`byte[]` | `getPasswordBytes()`
`String` | `getUsername()` Deprecated.
`byte[]` | `getUsernameBytes()`
`void` | `setEncryption(weblogic.security.internal.encryption.ClearOrEncryptedService es)`
`void` | `setPassword(byte[] pwd)`
`void` | `setPassword(String pwd)`
`void` | `setUsername(byte[] user)`
`void` | `setUsername(String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsernameAndPassword

    public UsernameAndPassword()

### UsernameAndPassword

    public UsernameAndPassword(byte[] user,
                               byte[] pwd)

### UsernameAndPassword

    public UsernameAndPassword(String user,
                               String pwd)

Method Detail

### getPassword

    public String getPassword()

  Deprecated.

  Gets the password.

### getPasswordBytes

    public byte[] getPasswordBytes()

### getUsername

    public String getUsername()

  Deprecated.

  Gets the username.

### getUsernameBytes

    public byte[] getUsernameBytes()

### setEncryption

    public void setEncryption(weblogic.security.internal.encryption.ClearOrEncryptedService es)

### setPassword

    public void setPassword(byte[] pwd)

### setPassword

    public void setPassword(String pwd)

### setUsername

    public void setUsername(byte[] user)

### setUsername

    public void setUsername(String user)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD